Bug 127841 - Accessibility of Java SE Library Descriptor Wizard
Accessibility of Java SE Library Descriptor Wizard
Status: VERIFIED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Denis Anisimov
issues@apisupport
: A11Y
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-20 10:33 UTC by Petr Chytil
Modified: 2008-02-29 08:38 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Chytil 2008-02-20 10:33:24 UTC
Product Version: NetBeans IDE Dev (Build 200802140010)
Java: 1.6.0_04; Java HotSpot(TM) Client VM 10.0-b19
System: Linux version 2.6.22-14-generic running on i386; UTF-8; en_US (nb)
Userdir: /home/petr/.netbeans/dev

There is missing mnemonic and missing accessible description on 2. step of Java Se Library Descriptor Wizard
(File > New File > Module Developement > Java SE Library Descriptor > [Next])

Full output from accessibility tester:

===============================================
 Tested Window title : New Java SE Library Descriptor
===============================================

Results of Accessibility test


 Doesn't implement Accessible :
   - none.

 No Accessible name :
   - none.

 No Accessible description :
   Class: javax.swing.JButton {  Manage Libraries... |  } 
   Class: org.openide.explorer.view.BeanTreeView {  Available Libraries: |  } 
   Class: org.openide.explorer.view.TreeView$ExplorerTree {  Available Libraries: |  } 


 Label with LABEL_FOR not set :
   - none.

 Components with no LABEL_FOR pointing to it :
   Class: org.openide.explorer.view.TreeView$ExplorerTree {  Available Libraries: |  } 


 Components with no mnemonic :
   Class: javax.swing.JButton {  Manage Libraries... |  } 


 Components with wrong mnemonic (mnemonic isn't ASCII , label doesn't contain mnemonic):
   - none.

 Components not reachable with tab traversal :
   - none.
Comment 1 Denis Anisimov 2008-02-27 10:35:02 UTC
changeset : 70021:1cc6b3b16ff0
Comment 2 Lukas Hasik 2008-02-29 08:38:21 UTC
verified in 2/28 build

===============================================
 Tested Window title : New Java SE Library Descriptor
===============================================

Results of Accessibility test


 Doesn't implement Accessible :
   - none.

 No Accessible name :
   - none.

 No Accessible description :
   - none.

 Label with LABEL_FOR not set :
   - none.

 Components with no LABEL_FOR pointing to it :
   Class: org.openide.explorer.view.TreeView$ExplorerTree {  Available Libraries: |  Available Libraries }
*the "L" mnemonic works correctly, probably A11YTester issue

 Components with no mnemonic :
   - none.

 Components with wrong mnemonic (mnemonic isn't ASCII , label doesn't contain mnemonic):
   - none.

 Components not reachable with tab traversal :
   - none.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo